<?php

namespace Drupal\virtual_events\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Routing\TrustedRedirectResponse;
use Drupal\Component\Utility\UrlHelper;

/**
 * Defines Virtual Events Event Ended Controller.
 */
class VirtualEventsEventEndedController extends ControllerBase {

  /**
   * Reload.
   *
   * @return string
   *   Return Hello string.
   */
  public function reload() {
    $url = \Drupal::request()->query->get('url');
    if($url && !UrlHelper::isValid($url, TRUE)){
      $url = "";
    }
    return [
      '#theme' => 'virtual_events_event_ended',
      '#redirect_to' => $url
    ];
  }

}
